CREATE OR REPLACE PROCEDURE public.sp_updatevznrecipemessage(
    id uuid
)
    LANGUAGE plpgsql
AS
$$
DECLARE
    p_id uuid := id;
BEGIN
    
    UPDATE rds.t_message_to_nosology_service m
    SET status = 0
    WHERE m.status = 4
      AND m.exportrecipevznservice = p_id;

END;
$$